Eclipse Platform Release 3.7

## org.eclipse.core.runtime.preferences
Interface IExportedPreferences

All Superinterfaces:
  IEclipsePreferences, Preferences

    public interface IExportedPreferences

extends IEclipsePreferences

Represents a node in the preference hierarchy which is used in the import/export mechanism.

This interface is not intended to be implemented by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.core.runtime.preferences.IEclipsePreferences
`IEclipsePreferences.INodeChangeListener, IEclipsePreferences.IPreferenceChangeListener, IEclipsePreferences.NodeChangeEvent, IEclipsePreferences.PreferenceChangeEvent`

Method Summary
`boolean` `isExportRoot()` Return `true` if this node was an export root when the preferences were exported, and `false` otherwise.

Methods inherited from interface org.eclipse.core.runtime.preferences.IEclipsePreferences
`accept, addNodeChangeListener, addPreferenceChangeListener, node, removeNode, removeNodeChangeListener, removePreferenceChangeListener`

Methods inherited from interface org.osgi.service.prefs.Preferences
`absolutePath, childrenNames, clear, flush, get, getBoolean, getByteArray, getDouble, getFloat, getInt, getLong, keys, name, nodeExists, parent, put, putBoolean, putByteArray, putDouble, putFloat, putInt, putLong, remove, sync`

Method Detail

### isExportRoot

    boolean isExportRoot()

  Return `true` if this node was an export root when the preferences were exported, and `false` otherwise. This information is used during the import to clear nodes when importing a node's (and its children's) preferences.

  Returns:
    `true` if this node is an export root and `false` otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.